
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>mahout源码分析之DistributedLanczosSolver（一） 实战 / iVAN</title>

    <meta name="description" content="mahout源码分析之DistributedLanczosSolver（一） 实战 Mahout版本:0.7,hadoop版本:1.0.4,jdk:1.7.0_25 64bit. 本篇开始系列svd,即降维.这个在mahout中可以直接运行MAHOUT_HOME/mahout/svd -h 即可看到该算法的调用参数,或者在官网相应页面也可以看到,本次实战使用的svd的调用参数如下: package mahout.fansy.svd; import org.apache.mahout.math.hadoop.decomposer.DistributedLanczosSolver;">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">mahout源码分析之DistributedLanczosSolver（一） 实战</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Mahout版本：0.7，hadoop版本：1.0.4，jdk：1.7.0_25 64bit。</p>
<p>本篇开始系列svd，即降维。这个在mahout中可以直接运行MAHOUT_HOME/mahout/svd -h 即可看到该算法的调用参数，或者在官网相应页面也可以看到，本次实战使用的svd的调用参数如下：</p>
<pre>
package mahout.fansy.svd;  

import org.apache.mahout.math.hadoop.decomposer.DistributedLanczosSolver;  

public class RunSvd {  

    /**
     * 调用svd算法
     * @throws Exception
     */
    public static void main(String[] args) throws Exception {
        String[] arg=new String[]{"-jt","ubuntu:9001","-fs","ubuntu:9000",
                "-i","hdfs://ubuntu:9000/svd/input/wind",
                "-o","hdfs://ubuntu:9000/svd/output",
                "-nr","178","-nc","14",
                "-r","3",
                "-sym","square",
                "--cleansvd","true",
                "--tempDir","hdfs://ubuntu:9000/svd/temp"
        };
        DistributedLanczosSolver.main(arg);
    }  

}</pre>
<p>在运行这个算法之前，需要转换输入数据，比如使用下面的输入数据：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMFJJNDRMMy0wLmdpZg==.jpg"></p>
<p>返回栏目页：http://www.bianceng.cnhttp://www.bianceng.cn/Programming/extra/</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索mahout<br />
                    ，                算法<br />
                    ，                ubuntu<br />
                    ，                string<br />
                    ，                exception<br />
                    ，                mahout  <br />
                                    SVD<br />
                                    mahout实战中文版pdf、mahout实战、mahout实战 pdf、mahout实战 中文 pdf、mahout实战 pdf 下载，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 07:52:01</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/string/" title="string">string</a>, <a href="https://www.iamivan.net/tag/%e7%ae%97%e6%b3%95/" title="算法">算法</a>, <a href="https://www.iamivan.net/tag/ubuntu/" title="ubuntu">ubuntu</a>, <a href="https://www.iamivan.net/tag/exception/" title="exception">exception</a>, <a href="https://www.iamivan.net/tag/mahout/" title="mahout">mahout</a>, <a href="https://www.iamivan.net/tag/mahout%c2%a0%c2%a0/" title="mahout&nbsp;&nbsp;">mahout&nbsp;&nbsp;</a>, <a href="https://www.iamivan.net/tag/svd/" title="SVD">SVD</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>mahout源码分析之DistributedLanczosSolver（一） 实战的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXBPAvb.html" rel="bookmark">mahout源码分析之DistributedLanczosSolver（七） 总结篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Mahout版本:0.7,hadoop版本:1.0.4,jdk:1.7.0_25 64bit. 看svd算法官网上面使用的是亚马逊的云平台计算的,不过给出了svd算法的调用方式,当算出了eigenVectors后,应该怎么做呢?比如原始数据是600*60(600行,60列)的数据,计算得到的eigenVectors是24*60(其中的24是不大于rank的一个值),那么最后得到的结果应该是original_data乘以eigenVectors的转置这样就会得到一个600*24的矩阵,这样就达到了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M91kBVM.html" rel="bookmark">mahout源码分析之DistributedLanczosSolver（五）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Mahout版本:0.7,hadoop版本:1.0.4,jdk:1.7.0_25 64bit. 1. Job 篇 接上篇,分析到EigenVerificationJob的run方法: public int run(Path corpusInput, Path eigenInput, Path output, Path tempOut, double maxError, double minEigenValue, boolean inMemory, Configuration conf) thro			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNEYANb.html" rel="bookmark">mahout源码分析之DistributedLanczosSolver（二） Job1</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Mahout版本:0.7,hadoop版本:1.0.4,jdk:1.7.0_25 64bit. 在上篇blog中的最后终端的信息可以看到,svd算法一共有5个Job任务.下面通过Mahout中DistributedLanczosSolver源代码来一个个分析: 为了方便后面的数据随时对照,使用wine.dat修改后的数据,如下(5行,13列): 14.23,1.71,2.43,15.6,127,2.8,3.06,0.28,2.29,5.64,1.04,3.92,1065 13.2,1.78,2.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M623BgM.html" rel="bookmark">mahout源码分析之DistributedLanczosSolver（六） 完结篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Mahout版本:0.7,hadoop版本:1.0.4,jdk:1.7.0_25 64bit. 接上篇,分析完3个Job后得到继续往下:其实就剩下两个函数了: List&lt;Map.Entry&lt;MatrixSlice, EigenStatus&gt;&gt; prunedEigenMeta = pruneEigens(eigenMetaData); saveCleanEigens(new Configuration(), prunedEigenMeta); 看pruneEigens函数: priv			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ7jBJb.html" rel="bookmark">mahout源码分析之DistributedLanczosSolver（四）rawEigen简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Mahout版本:0.7,hadoop版本:1.0.4,jdk:1.7.0_25 64bit. 接上篇,eigen分解,额,太复杂了,人太浮躁了,静不下来分析(说java对矩阵操作支持度不足,额,好吧是外部原因). 1. 前奏: eigen分解的是triDiag矩阵,这个矩阵,上篇求得的结果是: [[0.315642761491587, 0.9488780991876485, 0.0], [0.9488780991876485, 2.855117440373572, 0.0], [0.0, 0.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW1BAnz.html" rel="bookmark">mahout源码分析之DistributedLanczosSolver（三） Job2</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Mahout版本:0.7,hadoop版本:1.0.4,jdk:1.7.0_25 64bit. 1. 前奏: 本篇接着上篇继续分析,分析LanczosSolver中的:Vector nextVector = isSymmetric ? corpus.times(currentVector) : corpus.timesSquared(currentVector);之后.前篇说到这个是建立了一个job任务,并且按照一定的算法求得了一个nextVector,那么接下来是? if (state.get			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mx2geOz.html" rel="bookmark">Hadoop2源码分析－RPC探索实战</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.概述 在&lt;Hadoop2源码分析-RPC机制初识&gt;博客中,我们对RPC机制有了初步的认识和了解,下面我们对Hadoop V2的RPC机制做进一步探索,在研究Hadoop V2的RPC机制,我们需要掌握相关的Java基础知识,如:Java NIO.动态代理与反射等.本篇博客介绍的内容目录如下所示: Java NIO简述 Java NIO实例演示 动态代理与反射简述 动态代理与反射实例演示 Hadoop V2 RPC框架使用实例 下面开始今天的博客介绍. 2.Java NIO简述 Java N			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRqo4Bb.html" rel="bookmark">Hadoop2源码分析－YARN RPC 示例介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.概述 之前在&lt;Hadoop2源码分析-RPC探索实战&gt;一文当中介绍了Hadoop的RPC机制,今天给大家分享关于YARN的RPC的机制.下面是今天的分享目录: YARN的RPC介绍 YARN的RPC示例 截图预览 下面开始今天的内容分享. 2.YARN的RPC介绍 我们知道在Hadoop的RPC当中,其主要由RPC,Client及Server这三个大类组成,分别实现对外提供编程接口.客户端实现及服务端实现.如下图所示:     图中是Hadoop的RPC的一个类的关系图,大家可以到&lt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Rnxqz.html" rel="bookmark">《MapReduce 2&period;0源码分析与编程实战》一导读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前 言 MapReduce 2.0源码分析与编程实战 我们处于一个数据大爆炸的时代.每时每刻.各行各业都在产生和积累海量的数据内容.这些数据中蕴含着进行业务活动.获取商业信息.做出管理决策的重要信息.如何处理这些数据并获取有价值的信息,是众多组织和单位面临的共同问题.而这个问题的解决又依赖两项技术,一是能够对产生的业务数据进行统一管理和综合,并且能够无限扩展存储空间:二是能够有效处理获得的海量数据,在限定时间内获得处理结果的处理程序. 因此,寻求一个合理可靠的大数据处理决方案是目前数据处理的热点			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBkVAM.html" rel="bookmark" class="title">阿里巴巴网站运营模式</a>
					<div>
						阿里巴巴|网站运营 阿里巴巴网站的目标是建立全球最大最活跃的网上贸易市场,让天下没有难做的生意.它从一开始创建就有明确的商业模式,这一点不同于早期的互联网公司主要是以技术-作为驱动的,创始人都是计算机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNQXNb.html" rel="bookmark" class="title">主流WEB服务器比较&lpar;6&rpar;</a>
					<div>
						web|web服务|web服务器|比较|主流 当说到适应动态网页内容这个问题时,我们又使用了模块k化这个名词.Roxen服务器使用了一个服务器端的语言Pike,利用Pike既可以为Roxen开发全新的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnPjKb.html" rel="bookmark" class="title">为什么没有100&percnt;稳定的虚拟主机</a>
					<div>
						虚拟主机服务器,就好比你电脑的主机,就是由CPU,内存,主板,硬盘等组装起来的,电脑是每天晚上睡觉时关一下还能休息会,服务器是必须24小时不停运转的,日久老化,终久有一天总会坏的,从坏的那一刻起,服务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW17wnz.html" rel="bookmark" class="title">html：select动态取得表内容</a>
					<div>
						最近小妹在做一个人力资源管理系统,用的是SSH. 遇到一个问题,就是在添加员工信息(employee)的时候,部门是(下拉列表)形式,因此想将此下拉列表做成动态的,直接从部门表(department) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7k1nAz.html" rel="bookmark" class="title">oracle RMAN备份报错的诊断过程（四）继续清除数据库中僵死的会话</a>
					<div>
						经过前面的努力,数据库中所有的JOB恢复正常,没有长时间持有锁的会话,事务视图中也没有长时间运行的事务: SQL&gt; SELECT INSTANCE_NAME FROM V$INSTANCE; I ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RL79p.html" rel="bookmark" class="title">Win8系统无法打开计算机管理怎么解决</a>
					<div>
						  方法如下: 一.先在Win8系统桌面上,右键点击桌面,新建&quot;文本文档&quot;. 二.然后在Win8系统文本文档窗口上,将下面的代码复制进去: Windows registry edi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLeyRb.html" rel="bookmark" class="title">PPT中图案填充功能怎么制作有质感的背景</a>
					<div>
						PPT中图案填充功能怎么制作有质感的背景   空白的PPT背景,总让人觉得差点什么,常常会插入背景图片,添加背景颜色来削弱这种单调感.有没有考虑过用纹理作为背景呢?有质感的纹理背景有时候可以更加凸显出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBKvRz.html" rel="bookmark" class="title">自定义Word2010表格样式</a>
					<div>
						  ①打开Word2010,单击表格,然后点击设计选项卡下的其他按钮. ②然后单击新建表样式. ③设置表格名称.样式类型.基准等等. ④选择字体以及颜色. ⑤下面我们可以在其他里面看到我们刚才设置的样 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7yRXb.html" rel="bookmark" class="title">steam微信支付失败退款怎么办</a>
					<div>
						  steam微信支付失败退款怎么办?steam微信支付失败退款详细介绍 在商店结算页面中,我们已经可以看到微信支付的图标,并且可以选择Wechat来作为支付方式.之后就会跳转到支付页面,扫描二维码即 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamLVmb.html" rel="bookmark" class="title">在用苹果Mac OS X操作系统吗&quest;那你得小心了&hellip;&hellip;</a>
					<div>
						曾几何时,苹果操作系统一度被人认为是最安全的操作系统.然而近几年,针对苹果系统的攻击日益增多,影响范围也越来越大.无独有偶,近日,苹果Mac OS X操作系统也沦陷了,研究机构赛门铁克揭示了首个攻击该 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6d47b.html" rel="bookmark" class="title">怎么用toolbar模仿VB开发环境的toolbox的效果？</a>
					<div>
						问题描述 怎么用toolbar模仿VB开发环境的toolbox的效果? 怎么用toolbar模仿VB开发环境的toolbox的效果?怎么事先多按钮列表排布,并且可以添加删除? 解决方案 把toolba ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWePWp.html" rel="bookmark" class="title">服装名镇虎门筹建电商基地，想通过集约管理孵出大品牌</a>
					<div>
						产业园平面规划图 出租屋内 电子商务 经营的安全隐患一直以来是让各方头疼的问题.为此东莞虎门镇想出一个招数:腾挪出一批旧厂房打造电商产业园,将这些散落在出租屋内的服装电商企业集中在一起统筹管理,扶持电 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPywZp.html" rel="bookmark" class="title">&lbrack;剑指Offer&rsqb;9&period;用两个栈实现队列</a>
					<div>
						题目 用两个栈来实现一个队列,完成队列的Push和Pop操作. 队列中的元素为int类型. 思路 用栈来模拟队列.我们首先插入一个元素a到stack1中,再压入两个元素bc,此时栈中有元素abc,其中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32wO0z.html" rel="bookmark" class="title">聊天应用Line招股书概要：日本是最主要市场</a>
					<div>
						北京时间7月14日消息,日本聊天应用LINE今晚将在纽约证券交易所上市,股票代码&quot;LN&quot;.本周一,Line宣布将以每股3300日元(折合32.40美元)的价格销售3500万股股票. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NPPWM.html" rel="bookmark" class="title">java web-oracle数据库中的列名用中文，java的get方法应该怎么写</a>
					<div>
						问题描述 oracle数据库中的列名用中文,java的get方法应该怎么写 如题,如果列名用id,则get方法应该为getId(); 但是如果列名用中文的话,那么get 方法应该怎么写呢? 求大神指导 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWanlp.html" rel="bookmark" class="title">js得到访问者信息-j如何获取访问者ip和来访设备</a>
					<div>
						问题描述 j如何获取访问者ip和来访设备 在别人网站上有我网站一个js地址,每次有访问者访问了别人的网站,别人的网站会通过js地址请求我的网站的js,这时我的js怎么得到来访者的ip和来访设备,和来访 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkw915p.html" rel="bookmark" class="title">VB多个输入框之间互相获取对方输入的数据</a>
					<div>
						问题描述 VB多个输入框之间互相获取对方输入的数据 VB多个输入框之间互相获取对方输入的数据,怎么判断对方正在输入数据,并且显示&quot;正在输入&quot;的提示? 解决方案 两个输入框如果在一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RPg7z.html" rel="bookmark" class="title">webgl 如何在网页上加载obj类型的三维模型，求通用源码</a>
					<div>
						问题描述 webgl 如何在网页上加载obj类型的三维模型,求通用源码 哪位大神可以帮帮小弟 给一份在网页上加载.obj类型的三维模型,之前有一些 但是加载的时候要么就是很大大到看不见,要么就是很小小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rBRap.html" rel="bookmark" class="title">慢动作输出Linux命令结果并用彩色显示</a>
					<div>
						本篇中,我们会展示一个很酷及简单的方法在屏幕中显示彩色的输出,并且可以为了某个原因减慢输出的速度. lolcat 命令可以满足上面的需求.它基本上通过与 cat 命令类似的方式将文件或标准输入定向到标 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAnAQM.html" rel="bookmark" class="title">JQuery 各种选择方法代码总结</a>
					<div>
						1.查找所有符合条件的元素 find() 举例: $('ul').find('li').addclass('tmpexample'); 查找页面中ul元素下的所有li元素,并为查找到的li元素增加tm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKk8Ob.html" rel="bookmark" class="title">Jquery Validation插件防止重复提交表单的解决方法&lowbar;jquery</a>
					<div>
						由于在项目中应用了Jquery Validation表单验证插件,所以要实现在Validation验证完毕后,提交form,然后禁止按钮.CodeProject上有一个DisableBtnPostBa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4087jz.html" rel="bookmark" class="title">求助，C&num;加载EXCEL的XLA文件</a>
					<div>
						问题描述 我现在用EXCEL的VBA做了一个加载宏的小软件,包含操作窗体.函数及模板等,存为xla文件,现在想用C#编写一个小程序,实现xla文件的自动加载,并在EXCEL的菜单栏出现加载宏的相关按钮 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRy8jp.html" rel="bookmark" class="title">苹果7月推采用英特尔芯片的MacBook</a>
					<div>
						[赛迪网讯]5月17日消息,据国外媒体报道,据苹果知情人士透露,苹果公司计划推出一款新型超薄MacBook笔记本电脑,该电脑使用了英特尔一款超强大的芯片.这款MacBook笔记本电脑将于今年7月11日 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60WYWz.html" rel="bookmark" class="title">net css 模板-在母版页中引入css文件，css的第一个样式无效，求解</a>
					<div>
						问题描述 在母版页中引入css文件,css的第一个样式无效,求解 在母版页中引入css文件,css的第一个样式无效, ** 无论如何就第一个样式无效 **					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkagAz.html" rel="bookmark" class="title">AOL8位董事全部连任，挫败了公司最大投资者之一Starboard Value的夺权企图</a>
					<div>
						据美联社报道,AOL表示,在其年度股东大会上,股东投票重选了董事会,8位董事全部连任,挫败了公司最大投资者之一Starboard Value的夺权企图. 持有AOL5.3%股份的纽约投行Starboa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6RVmM.html" rel="bookmark" class="title">c-C＋＋代码编译分页存储管理模拟</a>
					<div>
						问题描述 C++代码编译分页存储管理模拟 编写程序模拟实现分页存储管理 具体要求:模拟分页存储管理,主要功能包括:主存的分配和回收,地址交换. 输入:1.输入进城名称及使用的内存大小 2.结束某个指定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z448j8z.html" rel="bookmark" class="title">意法半导体（ST）新充电器芯片减少穿戴和便携式产品的成本和上市时间</a>
					<div>
						横跨多重电子应用领域.全球领先的半导体供应商意法半导体(STMicroelectronics,简称ST:纽约证券交易所代码:STM)新推出的电池充电管理芯片大幅提升功能集成度,对充电性能和功耗没有丝毫 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/M1Dr95b.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcmVhZC5odG1sNS5xcS5jb20vaW1hZ2U/c3JjPWZvcnVtJmFtcDtxPTUmYW1wO3I9MCZhbXA7aW1nZmxhZz03JmFtcDtpbWFnZVVybD1odHRwOi8vaW1nLmh1eGl1LmNvbS9wb3J0YWwvMjAxNDA5LzIzLzExMTcyOXB1ZDVuMjl0NHR2OXY1azguanBn.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/M1Dr95b.html" rel="bookmark" class="title">吴甘沙：大数据的开放式创新</a>
					<div>
						围墙里的大数据注定成为死数据.大数据需要开放式创新,从数据的开放.共享和交易,到价值提取能力的开放,再到基础处理和分析平台的开放,让数据如同血液在数据社会的躯体中长流,滋润数据经济,让更多的长尾企业和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmRYDjz.html" rel="bookmark" class="title">易宝支付余晨做客交通广播支招&OpenCurlyDoubleQuote;防钓鱼&rdquo;</a>
					<div>
						6月23日上午11:00-11:30,易宝支付副总裁余晨做客北京交通广播(FM103.9)&lt;警法时空&gt;栏目,就&quot;如何避免网上购物被钓鱼&quot;的话题与主持人遥博.中华全国律师 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDX9q6z.html" rel="bookmark" class="title">2009辽宁高考成绩查询快速通道</a>
					<div>
						2009辽宁高考成绩查询快速通道 2009年辽宁高考阅卷工作已经完成,统分汇总工作也接近尾声,2009年辽宁高考成绩预计于6月27日凌晨发布,希望考生能够关注最新高考查分动态.另外,2009年辽宁高考 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.071 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
